import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Game {
  final String title;
  final String url;
  final String dev;
  final String editor;
  final String plateformes;
  final String genres;
  final String score;
  final String releaseDate;
  final String description;

  Game(this.title, this.url, this.dev, this.editor, this.plateformes, this.genres, this.score, this.releaseDate,  this.description );
}

class DetailGameScreen extends StatelessWidget {
  final Game game;
  static const TextStyle boldStyle = TextStyle( fontWeight: FontWeight.bold,color: Colors.black);
  static const TextStyle classicStyle = TextStyle(color: Colors.black);
  static const TextStyle boldTitleStyle = TextStyle( fontWeight: FontWeight.bold,color: Colors.black,fontSize: 20);
  static const TextStyle classicTitleStyle = TextStyle(color: Colors.black, fontSize: 20);

  // In the constructor, require a manga
  DetailGameScreen({Key key, @required this.game}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Détails de l'oeuvre"),
      ),
      body: Padding(
        padding: EdgeInsets.all(4.0),
        child: ListView(
          padding: const EdgeInsets.all(8),
          children: <Widget>[
            Container(
                height: 25,
                child:  RichText(text: TextSpan(children: <TextSpan>[
                  TextSpan(text: "Titre: ", style: boldTitleStyle,),
                  TextSpan(text: "${game.title}", style: classicTitleStyle,),
                ],),)
            ),
            Container(
              height: 225,
              child: GridView.count(
                  childAspectRatio: 0.8,
                  crossAxisCount: 2,
                  physics: new NeverScrollableScrollPhysics(),
                  children: <Widget>[
                    Image.network(game.url),
                    Align(alignment: Alignment.center, child: RichText(text: TextSpan(children: <TextSpan>[
                      TextSpan(text: "Développeurs: ", style: boldStyle,),
                      TextSpan(text: "${game.dev}\n", style: classicStyle,),
                      TextSpan(text: "Éditeurs: ", style: boldStyle,),
                      TextSpan(text: "${game.editor}\n", style: classicStyle,),
                      TextSpan(text: "Genres: ", style: boldStyle,),
                      TextSpan(text: "${game.genres}\n", style: classicStyle,),
                      TextSpan(text: "Plateformes: ", style: boldStyle,),
                      TextSpan(text: "${game.plateformes}\n", style: classicStyle,),
                      TextSpan(text: "Date de sortie: ", style: boldStyle,),
                      TextSpan(text: "${game.releaseDate}\n", style: classicStyle,),
                      TextSpan(text: "Note communautaire: ", style: boldStyle,),
                      TextSpan(text: "${game.score}\n", style: classicStyle,),
                    ],),))
                  ]),
            ),
            Container(
                height: 400,
                child:RichText(textAlign: TextAlign.justify,text: TextSpan(children: <TextSpan>[
                  TextSpan(text: "En bref:\n", style: boldTitleStyle,),
                  TextSpan(text: "${game.description}\n", style: classicStyle,),
                ],),)
            )],
        ),
      ),
    );
  }
}